/* Gyldig demo-data, følger alle begrensinger i databasen. */

INSERT INTO Borettslag (navn) VALUES ('BB Nardo');

INSERT INTO Bygning (borettslag_id, gatenavn, husnummer) VALUES (1, 'Borgveien', '1');
INSERT INTO Bygning (borettslag_id, gatenavn, husnummer) VALUES (1, 'Borgveien', '2');

INSERT INTO Leilighet (bygning_id, etasje, romnr, areal) VALUES (1, 1, 1, 100);
INSERT INTO Leilighet (bygning_id, etasje, romnr, areal) VALUES (1, 1, 2, 100);

INSERT INTO Leilighet (bygning_id, etasje, romnr, areal) VALUES (2, 1, 1, 45);
INSERT INTO Leilighet (bygning_id, etasje, romnr, areal) VALUES (2, 1, 2, 45);


INSERT INTO Medlem (fornavn, etternavn, borettslag_id, leilighet_id) VALUES ('Ole', 'Olsen', '1', '1');
INSERT INTO Medlem (fornavn, etternavn, borettslag_id, leilighet_id) VALUES ('Kari', 'Karlsen', '1', '3');

INSERT INTO Medlem (fornavn, etternavn, borettslag_id, leilighet_id) VALUES ('Jon', 'Jonsen', '1', NULL);
/* Denne har lov til å eksistere, siden Medlem.leilighet_id kan være NULL. */



/* Ugyldig demo-data, fordi flere felter ikke kan være null og ikke har default-verdier: */

INSERT INTO Bygning (borettslag_id, gatenavn, husnummer) VALUES (NULL, 'Borgveien', '1');
INSERT INTO Medlem (borettslag_id, leilighet_id) VALUES (1, 1);


/* Ugyldig demo-data, fordi fremmednøklene referer til tupler i andre databaser, og disse tuplene ikke eksisterer. */

INSERT INTO Bygning (borettslag_id, gatenavn, husnummer) VALUES (8, 'Borgveien', '3');
